# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libexpat-devel
# END SourceDeps(oneline)
BuildRequires: chrpath
%define fedora 19
%global with_docs 0

Name:           activemq-cpp
Version:        3.4.4
Release:        alt1_2
Summary:        C++ implementation of JMS-like messaging client

Group:          Development/C
License:        ASL 2.0
URL:            http://activemq.apache.org/cms/
Source0:        http://www.apache.org/dist/activemq/activemq-cpp/source/activemq-cpp-library-%{version}-src.tar.gz
%if %{?with_docs}0
# Some local texmf configuration to increase default pool_size.
Patch1:         activemq-cpp-local-texmf.patch
%endif
# https://issues.apache.org/jira/browse/AMQCPP-389
Patch2:         activemq-cpp-gcc47.patch

BuildRequires:  libssl-devel
%if %{?with_docs}0
BuildRequires:  doxygen
BuildRequires:  graphviz
%if %{?fedora}%{!?fedora:0} >= 9 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires: /usr/bin/latex texlive-latex-recommended
%else
BuildRequires: /usr/bin/latex texlive-latex-recommended
%endif
%endif
BuildRequires:  libaprutil1-devel >= 1.3
BuildRequires:  cppunit-devel%{?_isa} >= 1.10.2

%if %{?fedora}%{!?fedora:0} >= 12 || %{?rhel}%{!?rhel:0} >= 6
BuildRequires:  libuuid-devel%{?_isa}
%else
BuildRequires: e2fsprogs-devel libe2fs-devel
%endif
Source44: import.info

%description
activemq-cpp is a JMS-like API for C++ for interfacing with Message 
Brokers such as Apache ActiveMQ.  C++ messaging service helps to make your 
C++ client code much neater and easier to follow. To get a better feel for 
CMS try the API Reference. 
ActiveMQ-CPP is a client only library, a message broker such as Apache 
ActiveMQ is still needed for your clients to communicate.  

%package devel
Summary:        C++ implementation header files for JMS-like messaging
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
%if %{?fedora}%{!?fedora:0} >= 12 || %{?rhel}%{!?rhel:0} >= 6
Requires:  libuuid-devel%{?_isa}
%else
%endif




%description devel
activemq-cpp is a JMS-like API for C++ for interfacing with Message 
Brokers such as Apache ActiveMQ.  C++ messaging service helps to make 
your C++ client code much neater and easier to follow. To get a better
feel for CMS try the API Reference.  ActiveMQ-CPP is a client only 
library, a message broker such as Apache ActiveMQ is still needed 
for your clients to communicate.  

%{name}-devel contains development header files.

%if %{?with_docs}0
%package doc
Summary:        C++ implementation header files for JMS-like messaging
Group:          Documentation
%if %{?fedora}%{!?fedora:0} >= 10 || %{?rhel}%{!?rhel:0} >= 6
BuildArch:      noarch
%endif

%description doc
activemq-cpp is a JMS-like API for C++ for interfacing with Message 
Brokers such as Apache ActiveMQ.  C++ messaging service helps to make 
your C++ client code much neater and easier to follow. To get a better
feel for CMS try the API Reference.  ActiveMQ-CPP is a client only 
library, a message broker such as Apache ActiveMQ is still needed 
for your clients to communicate.  

%{name}-doc contains api documentation.
%endif

%prep
%setup -q -n activemq-cpp-library-%{version}
%if %{?with_docs}0
%patch1 -p1
%endif
%patch2 -p1
chmod 644 LICENSE.txt
chmod 644 src/main/activemq/transport/mock/MockTransport.cpp


%build
# Build pdf(30MB) rather than default html(400MB). 
%if %{?with_docs}0
%configure --disable-static --disable-doxygen-html --enable-doxygen-pdf
%else
%configure --disable-static
%endif

make %{?_smp_mflags}
%if %{?with_docs}0
make %{?_smp_mflags}  doxygen-run
cp -p texmf.cnf doc/latex/texmf.cnf
make %{?_smp_mflags} doxygen-pdf
%endif

%install
make install DESTDIR=$RPM_BUILD_ROOT
rm $RPM_BUILD_ROOT/%{_libdir}/lib%{name}.la
rm $RPM_BUILD_ROOT/%{_bindir}/example
# kill rpath
for i in `find %buildroot{%_bindir,%_libdir,/usr/libexec,/usr/lib,/usr/sbin} -type f -perm -111`; do
	chrpath -d $i ||:
done

%check
make %{?_smp_mflags} check

%files
%{_libdir}/lib%{name}.so.*
%doc LICENSE.txt  NOTICE.txt  README.txt  RELEASE_NOTES.txt

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/%{name}-%{version}
%{_libdir}/pkgconfig/%{name}.pc
%{_bindir}/activemqcpp-config

%if %{?with_docs}0
%files doc
%doc doc/%{name}.pdf
%endif

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 3.4.4-alt1_2
- update to new release by fcimport

* Mon Sep 24 2012 Igor Vlasenko <viy@altlinux.ru> 3.4.4-alt1_1
- update to new release by fcimport

* Wed Jun 06 2012 Igor Vlasenko <viy@altlinux.ru> 3.4.1-alt1_2
- fc import

